@import url('https://fonts.googleapis.com/css2?family=Barlow+Semi+Condensed:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100&family=Bellota+Text:wght@300;400;700&family=Montserrat:wght@100;200;300;400;500;600;700;800;900&family=Mulish:wght@200;300;400;500;600;700;800;900;1000&family=Open+Sans:wght@300;400;500;600;700;800&family=Outfit:wght@200;300;400;500;600;700;800;900&family=Poltawski+Nowy:wght@400;500;600;700&family=Poppins:wght@100;200;300;400;500;600;700;800;900&family=Raleway:wght@100;200;300;400;500;600&family=Roboto:wght@100;300;400;500;700;900&family=Rubik:wght@400;500;700&display=swap');

:root{
    --color-light: rgba(79, 83, 119, 0.18);
    --card-border-radius: 2.3rem;
   /* --border-radius-1: 0.4rem;
    --border-radius-2: 1.2rem;*/

    --card-padding: 0.8rem;
    /*--padding-1: 1rem;*/

    --box-shadow: 0 2rem 3rem var(--color-light);
}

html {
    font-size: 1rem;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-size: 1rem;
    font-family: 'Rubik', sans-serif;
    min-height: 100vh;
    overflow-x: hidden;
}

.left-div,
.right-div {
    position: absolute;
    z-index: -1;
}

.left-div {
    left: -5%;
    top: 0;
    width: 18.75rem;
    height: 28.125rem;
    background: linear-gradient(to right, hsl(264, 100%, 61%), hsl(293, 100%, 63%) );
    border-bottom-right-radius: 35rem;
}

.mainContent {
    display: flex;
    justify-content: space-around;
    align-items: center;
    min-height: 100vh;
    margin-top: 30px;
}

.mainContainer {
    display: flex;
    align-items: center;
    flex-direction: column;
    gap: 100px;
}

.phoneContainer {
    height: 600px;
    width: 280px;
    padding: var(--card-padding);
    box-shadow: var(--box-shadow);
    border-radius: var(--card-border-radius);
    background: hsl(0, 0%, 100%);
    position: relative;
}

.phoneContent {
    position: absolute;
    width: 260px;
    height: 580px;
    background: hsl(270, 20%, 96%);
    border-bottom-right-radius: 1.5rem;
    border-bottom-left-radius: 1.5rem;
    border-top-right-radius: 1rem;
    border-top-left-radius: 1rem;
    left: 50%;
    transform: translateX(-50%);
}

.textContainer {
    width: 450px;
    height: 270px;
}

h1 {
    color: hsl(271, 36%, 24%);
    font-weight: 500;
    font-size: 3rem;
    display: flex;
    justify-content: center;
    margin-top: -16px;
}

p {
    color: hsl(0, 5%, 76%);
    font-size: 18px;
    margin-top: 30px;
    text-align: center;
}

.profileImg img {
    border-radius: 80%;
    height: 33px;
    margin-left: 2px;
    border: 2px solid  hsl(0, 0%, 100%);
}

.top {
    display: flex;
    flex-direction: column;
    width: 260px;
    height: 5rem;
    border-top-right-radius: 1.5rem;
    border-top-left-radius: 1.5rem;
    border-bottom-right-radius: .5rem;
    border-bottom-left-radius: .5rem;
    gap: .9375rem;
    background: linear-gradient(to right, hsl(264, 100%, 61%), hsl(293, 100%, 63%) );
}

.topmain {
    margin-left: 7px;
}

.icon {
    position: relative;
    width: 150px;
    height: 1rem;
    left: 55px;
    background-color: hsl(0, 0%, 100%);
    border-bottom-right-radius: 3rem;
    border-bottom-left-radius: 3rem;
}

.topnotch {
    position: absolute;
    display: flex;
    align-items: center;
    color: hsl(270, 20%, 96%);
}

.arrow {
    cursor: pointer;
}

.name,
.active,
h2 {
    width: 6rem;
}

h2 {
    font-weight: 900;
    font-size: 12px;
}

.active {
    font-size: 9px;
    color: hsl(0, 5%, 76%);
}

.name {
    display: flex;
    align-items: center;
    flex-direction: column;
    gap: .1875rem;
    margin-left: .5rem;
}

.menu {
    margin-left: 65px;
    cursor: pointer;
}

.bodySection {
    display: flex;
    flex-direction: column;
    font-size: 11px;
    font-weight: 300;
    gap: 12px;
    margin-left: 8px;
    margin-top: 12px;
}

.receiver,
.replyer {
    display: flex;
    align-items: center;
}

.receiver {
    height: 3rem;
    width: 168px;
    padding: 7px;
    background: var(--color-light);
    color: hsl(276, 55%, 52%);
    border-radius: 16px 16px 16px 3px;
}

.replyer {
    align-items: center;
    color: hsl(271, 15%, 43%);
    background: white;
    border-radius: 16px 16px 3px 16px;
    padding: 7px;
}

span:nth-of-type(4) {
    margin-left: 130px;
    width: 110px;
    height: 1.5rem;
}

.bodySection span:nth-child(4) {
    margin-left: 70px;
    width: 170px;
    height: 3rem;
}

.radio {
    display: flex;
    align-items: center;
    width: 190px;
    height: 2rem;
    border-radius: 16px 16px 16px 6px;
    color: hsl(271, 15%, 43%);
    background: linear-gradient(to right, hsl(293, 100%, 63%), hsl(264, 100%, 61%) );
}

#radio {
    width: 45px;
    height: 20px;
}

h4 {
    font-size: 9px;
    color: white;
    font-weight: 100;
}

.radio span {
    color: white;
    font-weight: 700;
    font-size: 1rem;
}

.num1 {
    margin-left: 20px;
}

.num2 {
    margin-left: 35px;
}
.picture {
    margin-left: 70px;
}

.picture img {
    width: 50px;
    border-radius: 16px;
    margin-left: 5px;
}

.inputText {
    width: 97%;
    height: 2.7rem;
    margin-top: 6px;
    display: flex;
    color: hsl(0, 0%, 100%);
    background-color: white;
    align-items: center;
    border-radius: 24px;
}

.inputText input {
    margin-left: 12px ;
    height: 1.2rem;
    border: none;
}

input[type=text]:focus {
    outline: none;
}

.inputText span {
    background-color: hsl(271, 36%, 24%);
    height: 2rem;
    width: 2rem;
    border-radius: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-left: 25px;
}

@media screen and (min-width: 37.4375rem) {
    body {
        height: 100vh;
    }
    .left-div {
        height: 33rem;
        width: 25rem;
        border-bottom-left-radius: 15rem;
        border-bottom-right-radius: 15rem;
    }
    
    .right-div {
        height: 35rem;
        width: 32rem;
        right: -15%;
        bottom: 0;
        background: hsl(270, 20%, 96%);
        border-top-left-radius: 15rem;
        border-top-right-radius: 15rem;
    }

    .mainContent {
        margin-top: 0;
    }

    .mainContainer {
        display: flex;
        flex-direction: row;
        justify-content: space-around;
    }
    
    h1 {
        margin-top: 45px;
        font-weight: 600;
        font-size: 3.10rem;
        display: flex;
        justify-content: left;
    }

    p {
        text-align: left;
    }
}